#!/bin/sh

case $1 in

	-h)
	echo "Usage: $0 {-s, headset mixer configuration
		-f,  handsfree mixer configuration
		-e, earphone mixer configuration
		-c, capture config main-mic/sub-mic per default
		-a, all mixer config}"
	;;

	-s)
	echo headset mixer config
	amixer cset name='Earphone Driver Switch' 1
	amixer cset name='Earphone Playback Volume' 10
	amixer cset name='HS Left Playback' 1
	amixer cset name='HS Right Playback' 1
	amixer cset name='Headset Playback Volume' 10
	amixer cset name='Sidetone Mixer Playback' 1
	amixer cset name='DL1 PDM Switch' 1
	amixer cset name='DL1 Mixer Multimedia' 1
	amixer cset name='DL1 Media Playback Volume' 8
	amixer cset name='DL1 Mixer Tones' 1
	amixer cset name='DL1 Tones Playback Volume' 8
	amixer cset name='DL1 Mixer Voice' 1
	amixer cset name='DL1 Voice Playback Volume' 8
	;;

	-f)
	echo handsfree mixer config
	amixer cset name='Handsfree Playback Volume' 15
	amixer cset name='HF Left Playback' 1
	amixer cset name='HF Right Playback' 1
	amixer cset name='DL2 Mixer Multimedia' 1
	amixer cset name='DL2 Media Playback Volume' 8
	amixer cset name='DL2 Mixer Tones' 1
	amixer cset name='DL2 Tones Playback Volume' 8
	amixer cset name='DL2 Mixer Voice' 1
	amixer cset name='DL2 Voice Playback Volume' 8
	;;

	-e)
	echo earphone mixer configuration
	amixer cset name='Earphone Driver Switch' 1
	amixer cset name='Earphone Playback Volume' 12
	;;

	-c)
	echo capture configuration
	amixer cset name='Analog Right Capture Route' 1
	amixer cset name='Analog Left Capture Route' 1
	amixer cset name='Capture Preamplifier Volume' 1
	amixer cset name='Capture Volume' 4
        # MM_UL2
	amixer cset name='MUX_UL00' 10
	amixer cset name='MUX_UL01' 9
	amixer cset name='MUX_UL10' 10
	amixer cset name='MUX_UL11' 9
	amixer cset name='AMIC_UL PDM Switch' 1
        #VX_UL
	amixer cset name='MUX_VX0' 10
	amixer cset name='MUX_VX1' 9
	amixer cset name='Voice Capture Mixer Capture' 1
	;;

	-a | *)
	echo all mixer config
        #Handsfree
	amixer cset name='Handsfree Playback Volume' 15
	amixer cset name='HF Left Playback' 1
	amixer cset name='HF Right Playback' 1
	amixer cset name='DL2 Mixer Multimedia' 1
	amixer cset name='DL2 Media Playback Volume' 8
	amixer cset name='DL2 Mixer Tones' 1
	amixer cset name='DL2 Tones Playback Volume' 8
	amixer cset name='DL2 Mixer Voice' 1
	amixer cset name='DL2 Voice Playback Volume' 8

        #Headset
	amixer cset name='Earphone Driver Switch' 0
	amixer cset name='Earphone Playback Volume' 0
	amixer cset name='HS Left Playback' 1
	amixer cset name='HS Right Playback' 1
	amixer cset name='Headset Playback Volume' 10
	amixer cset name='Sidetone Mixer Playback' 1
	amixer cset name='DL1 PDM Switch' 1
	amixer cset name='DL1 Mixer Multimedia' 1
	amixer cset name='DL1 Media Playback Volume' 8
	amixer cset name='DL1 Mixer Tones' 1
	amixer cset name='DL1 Tones Playback Volume' 8
	amixer cset name='DL1 Mixer Voice' 1
	amixer cset name='DL1 Voice Playback Volume' 8

        #capture
	amixer cset name='Analog Right Capture Route' 1
	amixer cset name='Analog Left Capture Route' 1
	amixer cset name='Capture Preamplifier Volume' 1
	amixer cset name='Capture Volume' 4
        # MM_UL2
	amixer cset name='MUX_UL00' 10
	amixer cset name='MUX_UL01' 9
	amixer cset name='MUX_UL10' 10
	amixer cset name='MUX_UL11' 9
	amixer cset name='AMIC_UL PDM Switch' 1
        #VX_UL
	amixer cset name='MUX_VX0' 10
	amixer cset name='MUX_VX1' 9
	amixer cset name='Voice Capture Mixer Capture' 1
	;;

esac

exit 0
